aboutsummaryrefslogtreecommitdiffstats
path: root/dev.sh
diff options
context:
space:
mode:
authorThomas Kriechbaumer <Kriechi@users.noreply.github.com>2020-04-12 22:06:22 +0200
committerGitHub <noreply@github.com>2020-04-12 22:06:22 +0200
commit30645fa1ac6fa828bda390383abee7c04f20206f (patch)
tree10b599dab550e06c6d2d9ffb37dd1a3cf783922a /dev.sh
parentce50e8e52dc5316f9be29bc00d0dc72fc2b0af83 (diff)
parent55527c00eb35bf3b07b361363fd8ca2961afc8ba (diff)
downloadmitmproxy-30645fa1ac6fa828bda390383abee7c04f20206f.tar.gz
mitmproxy-30645fa1ac6fa828bda390383abee7c04f20206f.tar.bz2
mitmproxy-30645fa1ac6fa828bda390383abee7c04f20206f.zip
Merge pull request #3921 from Kriechi/example-docs
Example docs
Diffstat (limited to 'dev.sh')
-rwxr-xr-xdev.sh11
1 files changed, 7 insertions, 4 deletions
diff --git a/dev.sh b/dev.sh
index a90b48ab..df7b22d4 100755
--- a/dev.sh
+++ b/dev.sh
@@ -1,6 +1,9 @@
-#!/bin/sh
-set -e
-set -x
+#!/usr/bin/env bash
+
+set -o errexit
+set -o pipefail
+set -o nounset
+set -o xtrace
echo "Creating dev environment in ./venv..."
@@ -12,4 +15,4 @@ pip3 install -r requirements.txt
echo ""
echo " * Created virtualenv environment in ./venv."
echo " * Installed all dependencies into the virtualenv."
-echo " * You can now activate the $(python3 --version) virtualenv with this command: \`. venv/bin/activate\`" \ No newline at end of file
+echo " * You can now activate the $(python3 --version) virtualenv with this command: \`. venv/bin/activate\`"